#include "rhmusicfuncs.h"
#include <math.h>

double rat2cents (double ratio)
{
   return rats2cents(ratio, 1.0);
}

double rats2cents (double numer, double denom)
{
   return log(numer / denom) / CENTSFACTOR;
}

double rats2deviafrmequi (double numer, double denom, short grado12)
{
   double cents = rats2cents(numer, denom);

   return cents - grado12 * 100.0;
}


/* Calculate greatest common divisor (gcd) */
LLI gcd (LLI numer, LLI denom)
{
   LLI tmp;

   while (numer > 0)
   {
      if (denom > numer)
      {
         tmp = numer;
         numer = denom;
         denom = tmp;
      }
      numer = numer % denom;
   }
   return denom;
}
